Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.orm.jdo
Class PersistenceManagerHolder

    java.lang.Object
      org.springframework.transaction.support.ResourceHolderSupport
          org.springframework.orm.jdo.PersistenceManagerHolder

    public class PersistenceManagerHolder

extends ResourceHolderSupport

Holder wrapping a JDO PersistenceManager. JdoTransactionManager binds instances of this class to the thread, for a given PersistenceManagerFactory.

Note: This is an SPI class, not intended to be used by applications.

Since:
  03.06.2003
Author:
  Juergen Hoeller
See Also:
  `JdoTransactionManager`, `PersistenceManagerFactoryUtils`

Constructor Summary
`PersistenceManagerHolder(javax.jdo.PersistenceManager persistenceManager)` Create a new PersistenceManagerHolder for the given JDO PersistenceManager.

Method Summary
`javax.jdo.PersistenceManager` | `getPersistenceManager()` Return this holder's JDO PersistenceManager.

Methods inherited from class org.springframework.transaction.support.ResourceHolderSupport
`clear, getDeadline, getTimeToLiveInMillis, getTimeToLiveInSeconds, hasTimeout, isOpen, isRollbackOnly, isSynchronizedWithTransaction, released, requested, reset, setRollbackOnly, setSynchronizedWithTransaction, setTimeoutInMillis, setTimeoutInSeconds`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceManagerHolder

    public PersistenceManagerHolder(javax.jdo.PersistenceManager persistenceManager)

  Create a new PersistenceManagerHolder for the given JDO PersistenceManager.

  Parameters:
    `persistenceManager` - the JDO PersistenceManager

Method Detail

### getPersistenceManager

    public javax.jdo.PersistenceManager getPersistenceManager()

  Return this holder's JDO PersistenceManager.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.